curl --request POST \
--url https://api.uat.accessrc.org/api/Event/Subscribe \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"eventType": "DELIVERY_CHANNEL_STATUS_UPDATED",
"callbackUrl": "https://partner.example.com/webhook",
"auth": null
}
'{
"error": null,
"data": {
"message": "Webhook successfully subscribed",
"subscriptionId": "c79f8f33-0042-4c25-bd5e-0dc1982f8cea",
"callbackUrl": "https://partner.example.com/webhook",
"eventType": "DELIVERY_REQUEST_SENT",
"date": "2025-04-07T07:51:38Z"
},
"status": "success"
}{
"error": {
"guid": "95bd740b-755b-4f95-8549-fa9acfc31a41",
"code": 400,
"type": "ValidationError",
"message": "Invalid request body format. Please check your request format from AccessRC API specifications.",
"title": "Invalid Request Body"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 401,
"type": "Unauthorized",
"message": null,
"title": "API Key is missing"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 500,
"type": "Exception",
"message": null,
"title": "Internal Server Error"
},
"data": null,
"status": "failed"
}Subscription
Subscribe Event
POST
/
api
/
Event
/
Subscribe
curl --request POST \
--url https://api.uat.accessrc.org/api/Event/Subscribe \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"eventType": "DELIVERY_CHANNEL_STATUS_UPDATED",
"callbackUrl": "https://partner.example.com/webhook",
"auth": null
}
'{
"error": null,
"data": {
"message": "Webhook successfully subscribed",
"subscriptionId": "c79f8f33-0042-4c25-bd5e-0dc1982f8cea",
"callbackUrl": "https://partner.example.com/webhook",
"eventType": "DELIVERY_REQUEST_SENT",
"date": "2025-04-07T07:51:38Z"
},
"status": "success"
}{
"error": {
"guid": "95bd740b-755b-4f95-8549-fa9acfc31a41",
"code": 400,
"type": "ValidationError",
"message": "Invalid request body format. Please check your request format from AccessRC API specifications.",
"title": "Invalid Request Body"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 401,
"type": "Unauthorized",
"message": null,
"title": "API Key is missing"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 500,
"type": "Exception",
"message": null,
"title": "Internal Server Error"
},
"data": null,
"status": "failed"
}Authorizations
API Key required in x-api-key header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Callback URL that will receive the event notifications.
Maximum string length:
256Type of event to subscribe to.
Available options:
NULL, DELIVERY_CHANNEL_STATUS_UPDATED, DELIVERY_REQUEST_SENT, DELIVERY_REFUND_REQUESTED Example:
"NULL"
Show child attributes
Show child attributes
⌘I
